# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSqueezedTextLabel Class Reference

A replacement for QLabel that squeezes its text. More...

`#include <ksqueezedtextlabel.h>`

Inheritance diagram for KSqueezedTextLabel:

[legend]
Collaboration diagram for KSqueezedTextLabel:

[legend]
List of all members.

## Public Slots

void | setText (const QString &)

## Public Member Functions

| KSqueezedTextLabel (QWidget *parent, const char *name=0)
| KSqueezedTextLabel (const QString &text, QWidget *parent, const char *name=0)
virtual QSize | minimumSizeHint () const
virtual QSize | sizeHint () const
virtual void | setAlignment (int)

## Protected Member Functions

void | resizeEvent (QResizeEvent *)
void | squeezeTextToLabel ()
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QString | fullText

## Detailed Description

A replacement for QLabel that squeezes its text.

A label class that squeezes its text into the label

If the text is too long to fit into the label it is divided into remaining left and right parts which are separated by three dots.

Example: http://www.kde.org/documentation/index.html could be squeezed to http://www.kde...ion/index.html

KSqueezedTextLabel Widget

Author:
  Ronny Standtke <Ronny.Standtke@gmx.de>

Definition at line 46 of file ksqueezedtextlabel.h.

## Constructor & Destructor Documentation

KSqueezedTextLabel::KSqueezedTextLabel | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |

| Default constructor. Definition at line 30 of file ksqueezedtextlabel.cpp.

## Member Function Documentation

void KSqueezedTextLabel::setAlignment | ( | int |  | ) | `[virtual]`

| Overridden for internal reasons; the API remains unaffected. Reimplemented from QLabel. Definition at line 76 of file ksqueezedtextlabel.cpp. References QLabel::setAlignment().

void KSqueezedTextLabel::resizeEvent | ( | QResizeEvent * |  | ) | `[protected]`

| used when widget is resized Definition at line 35 of file ksqueezedtextlabel.cpp. References squeezeTextToLabel().

void KSqueezedTextLabel::squeezeTextToLabel | ( |  | ) | `[protected]`

| does the dirty work Definition at line 56 of file ksqueezedtextlabel.cpp. References QToolTip::add(), KStringHandler::cPixelSqueeze(), QToolTip::hide(), QToolTip::remove(), QLabel::setText(), and QFontMetrics::width(). Referenced by resizeEvent().

The documentation for this class was generated from the following files:

- ksqueezedtextlabel.h
- ksqueezedtextlabel.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003